TikTok videos
Fetch a paginated slice of public videos from a TikTok creator profile.
POST
/v1/tiktok/videos Request Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| username | body | string | Yes | TikTok username, with or without the leading @. |
| cursor | body | string | No | Zero-based pagination cursor returned as next_cursor from the previous response. |
| max_videos | body | integer | No | Maximum number of public videos to collect from the rendered page. |
Response Structure
Async kickoff response
Polled run result response
Sync response
Declared output schema
Code Examples
Async + polling
RUN=$(curl -s -X POST "https://api.browsable.app/v1/tiktok/videos" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"username":"tiktok","cursor":"30","max_videos":30}')
RUN_ID=$(echo "$RUN" | jq -r '.run_id')
POLL_DELAY=3
while true; do
RESULT=$(curl -s -H "Authorization: Bearer YOUR_API_KEY" "https://api.browsable.app/v1/runs/$RUN_ID")
STATUS=$(echo "$RESULT" | jq -r '.run_status')
if [[ "$STATUS" =~ ^(succeeded|failed|errored|cancelled|canceled|expired)$ ]]; then
echo "$RESULT"
break
fi
sleep "$(awk "BEGIN { print $POLL_DELAY * (0.9 + ($RANDOM % 21) / 100) }")"
POLL_DELAY=$((POLL_DELAY < 30 ? POLL_DELAY * 2 : 30))
[ "$POLL_DELAY" -gt 30 ] && POLL_DELAY=30
doneSync
curl -X POST "https://api.browsable.app/v1/tiktok/videos" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"username":"tiktok","cursor":"30","max_videos":30,"_run":{"async":false}}'